Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.gui.sequence
Class FeatureLabelRenderer.AnnotationLabelMaker

    java.lang.Object
      org.biojava.bio.gui.sequence.FeatureLabelRenderer.AnnotationLabelMaker

All Implemented Interfaces:
  FeatureLabelRenderer.LabelMaker

Enclosing class:
  FeatureLabelRenderer

    public static class FeatureLabelRenderer.AnnotationLabelMaker

extends Object
implements FeatureLabelRenderer.LabelMaker

Constructor Summary
`FeatureLabelRenderer.AnnotationLabelMaker()`
`FeatureLabelRenderer.AnnotationLabelMaker(Object key)`

Method Summary
`Object` | `getKey()`
`String` | `makeLabel(Feature feat)`
`void` | `setKey(Object key)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FeatureLabelRenderer.AnnotationLabelMaker

    public FeatureLabelRenderer.AnnotationLabelMaker()

### FeatureLabelRenderer.AnnotationLabelMaker

    public FeatureLabelRenderer.AnnotationLabelMaker(Object key)

Method Detail

### setKey

    public void setKey(Object key)

### getKey

    public Object getKey()

### makeLabel

    public String makeLabel(Feature feat)

  Specified by:
    `makeLabel` in interface `FeatureLabelRenderer.LabelMaker`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD